UPTERM(1)

NAME

upterm - Instant Terminal Sharing

SYNOPSIS

upterm [flags]

DESCRIPTION

Upterm is an open-source solution for sharing terminal sessions instantly over secure SSH tunnels to the public internet.

OPTIONS

-h, --help[=false]
    help for upterm

EXAMPLE

      # Host a terminal session running $SHELL, attaching client's IO to the host's:
      $ upterm host
      # Display the SSH connection string for sharing with client(s):
      $ upterm session current
      === SESSION_ID
      Command:                /bin/bash
      Force Command:          n/a
      Host:                   ssh://uptermd.upterm.dev:22
      SSH Session:            ssh TOKEN@uptermd.upterm.dev
      # A client connects to the host session via SSH:
      $ ssh TOKEN@uptermd.upterm.dev

SEE ALSO

upterm-host(1), upterm-proxy(1), upterm-session(1), upterm-upgrade(1), upterm-version(1)

HISTORY

16-Nov-2023 Auto generated by spf13/cobra